<?xml version="1.0" encoding="UTF-8" standalone="no"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml"><head><meta http-equiv="Content-Type" content="text/html; charset=UTF-8" /><title>Origins</title><link rel="stylesheet" href="synopsis.css" type="text/css" /><meta name="generator" content="DocBook XSL Stylesheets V1.73.2" /><link rel="start" href="index.html" title="Synopsis Developer's Guide" /><link rel="up" href="intro.html" title="Chapter 1. Introduction" /><link rel="prev" href="intro.html" title="Chapter 1. Introduction" /><link rel="next" href="architecture.html" title="Architecture" /></head><body><div class="navheader"><table width="100%" summary="Navigation header"><tr><th colspan="3" align="center">Origins</th></tr><tr><td width="20%" align="left"><a accesskey="p" href="intro.html">Prev</a> </td><th width="60%" align="center">Chapter 1. Introduction</th><td width="20%" align="right"> <a accesskey="n" href="architecture.html">Next</a></td></tr></table></div><div class="section" lang="en" xml:lang="en"><div class="titlepage"><div><div><h2 class="title" style="clear: both"><a id="origins"></a>Origins</h2></div></div></div><p>
        The Synopsis Project was founded to support the documentation of the
        <span class="emphasis"><em>Fresco</em></span> code base, which used a number of different programming 
        languages such as C++, Python, and IDL. The initial design focussed on 
        a high-level, multi-language <span class="emphasis"><em>Abstract Semantic Graph</em></span> which would 
        be manipulated using python <span class="emphasis"><em>Processor</em></span> objects to generate 
        documentation in a variety of formats including postscript and html.
      </p><p>
        To support multiple languges, Synopsis uses python extension modules
        to generate a language-neutral ASG. The IDL parser is based on
        <a class="ulink" href="http://omniorb.sf.net" target="_top">omniORB</a>, the original C parser
        was based on <a class="ulink" href="http://ctool.sf.net" target="_top">ctool</a>, and the C++ parser
        on <a class="ulink" href="http://www.csg.is.titech.ac.jp/~chiba/openc++.html" target="_top">OpenC++</a>.
      </p></div><div class="navfooter"><table width="100%" summary="Navigation footer"><tr><td width="40%" align="left"><a accesskey="p" href="intro.html">Prev</a> </td><td width="20%" align="center"><a accesskey="u" href="intro.html">Up</a></td><td width="40%" align="right"> <a accesskey="n" href="architecture.html">Next</a></td></tr><tr><td width="40%" align="left" valign="top">Chapter 1. Introduction </td><td width="20%" align="center"><a accesskey="h" href="index.html">Home</a></td><td width="40%" align="right" valign="top"> Architecture</td></tr></table></div></body></html>
